package cmd

import (
	"fmt"

	"github.com/spf13/cobra"
	"github.com/spf13/viper"
)

var projectListCmd = &cobra.Command{
	Use:     "list",
	Short:   "List GitLab Projects",
	Aliases: []string{"ls", "l"},
	Long:    projListCmdLong,
	Run:     projectListCmdRun,
}

func projectListCmdRun(cmd *cobra.Command, args []string) {
	fmt.Println(cache.DumpString(viper.GetBool("project.list.all")))
}

func init() {
	projectCmd.AddCommand(projectListCmd)
	projectListCmd.PersistentFlags().Bool("all", false, "List all, not just cloned locally")
	viper.BindPFlag("project.list.all", projectListCmd.Flag("all"))
}
